---
updatedAt: 2025-05-22T20:27:12.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Token Liquidity by ID

The Get Token Holder Distribution by Id API allows you to easily fetch the token holder distribution

## Definition

This endpoint retrieves liquidity information for a specified token identified by its address on a specific blockchain network. Users can query the liquidity metrics using the provided address and chain ID parameters.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

1. **address** (string): The unique address of the token for which liquidity information is requested.
2. **chain\_id** (string): The identifier of the blockchain network where the token liquidity is to be queried.

## Response

The response will include a JSON object containing liquidity metrics for the specified token. This may include details such as total liquidity, liquidity providers, and other relevant liquidity data.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/onchain/liquidity": {
      "get": {
        "summary": "Get Token Liquidity by ID",
        "description": "The Get Token Holder Distribution by Id API allows you to easily fetch the token holder distribution",
        "operationId": "get-token-onchain-liquidity",
        "parameters": [
          {
            "name": "address",
            "in": "query",
            "description": "String - Defines the address",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "chain_id",
            "in": "query",
            "description": "String - denotes the specific blockchain network from which the data has been crawled. Available values: mantle, fuse, optimism, avalanche, ethereumpow, base, oasisemerald, milkomedacardano, velas, kcc, cronos, pulechain, stepnetwork, dogechain, moonriver, moonbeam, arbitrum, fantom, bsc, iotex, harmony, ethereum, polygon. Default to \"all\"",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": [\n    {\n      \"stored_time\": \"2023-09-29T00:00:00.000Z\",\n      \"symbol\": \"BTC\",\n      \"market_cap\": 526863333750.40405,\n      \"price\": 27020.529479757017,\n      \"volume\": 5023764922.994344\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "stored_time": {
                            "type": "string",
                            "example": "2023-09-29T00:00:00.000Z"
                          },
                          "symbol": {
                            "type": "string",
                            "example": "BTC"
                          },
                          "market_cap": {
                            "type": "number",
                            "example": 526863333750.40405,
                            "default": 0
                          },
                          "price": {
                            "type": "number",
                            "example": 27020.529479757017,
                            "default": 0
                          },
                          "volume": {
                            "type": "number",
                            "example": 5023764922.994344,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```